#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x80,0xA7,0x3C,0xC2,0xD8,0x16,0x60,0x56,0xE9,0x12,0xE0,0x86,
		0x2B,0x59,0x9C,0x49,0x6C,0x7A,0x8F,0x27,0xFD,0xAC,0xAC,0xE5,
		0xBA,0x3E,0xD0,0x6E,0xC8,0xD5,0xEC,0x4D,0x03,0x56,0xC3,0x94,
		0x0B,0x1E,0xC2,0x0B,0x39,0xB8,0xCB,0xE9,0x25,0xDB,0x99,0x28,
		0x84,0x49,0xD4,0xB3,0xDE,0x2C,0xF2,0x83,0xF7,0x80,0xF6,0x74,
		0x05,0x4A,0x75,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
